Skip to content

Create a synthetic browser monitor.

POST
/browser_check/
curl --request POST \
--url https://api.siteqwality.com/browser_check/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "script": "example", "frequency": "example", "timeout_seconds": 1, "check_regions": [ "example" ], "min_healthy_regions": 1, "group_notification_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "service_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "tags": [ "example" ] }'
Media type application/json
object
name
required
string
script
required
string
frequency
required
string
timeout_seconds
integer | null format: int32
check_regions
array | null
min_healthy_regions
integer | null format: int32
group_notification_ids
array | null
service_id
string | null format: uuid
tags
array | null
Example generated
{
"name": "example",
"script": "example",
"frequency": "example",
"timeout_seconds": 1,
"check_regions": [
"example"
],
"min_healthy_regions": 1,
"group_notification_ids": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"service_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"tags": [
"example"
]
}

Browser monitor created

Invalid request body

Missing or invalid authentication

Internal server error